/*
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this code; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.  */

/* Copyright (C) 2000 Ian Zimmerman <itz@speakeasy.org> */

#ifndef INCLUDE_PREADWRITE_H
#define INCLUDE_PREADWRITE_H

/* $Id: preadwrite.h,v 1.5 2002/06/04 06:55:38 itz Exp $ */

#include <sys/types.h>

void
gim_pwrite (int fd, const char* p, size_t n);

size_t
gim_pread (int fd, char* p, size_t n);

/* protocol transact: send request, get reply, scan error code */
int
gim_transact (int fd, const char* request, char** reply, size_t n);

#endif /* INCLUDE_PREADWRITE_H */
