/*
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this code; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.  */

/* Copyright (C) 2000 Ian Zimmerman <itz@speakeasy.org> */

#ifndef INCLUDE_LINUXONLY_H
#define INCLUDE_LINUXONLY_H

/* $Id: linuxonly.h,v 1.14 2002/09/12 03:17:18 itz Exp $ */

                                /* Linux specific interfaces */
extern const char devfs_format[];
extern const char nodevfs_format[];

extern int max_selection_age;

int
current_vt (void);

unsigned
kbd_modifiers (void);

int
is_text_mode (void);

void
get_window_size (int* px, int* py, int vt);

int
is_stopped (pid_t pid);

void
draw_pointer (int x, int y, int vt);

void
disable_paste (int vt);

void
paste_selection (int vt);

void
copy_selection (int xs, int ys, int xe, int ye, int clicks, int vt);

void
load_inword (const unsigned long* inword_chars);

#endif /* INCLUDE_LINUXONLY_H */
